import request from '@/utils/request'

// 查询班结管理列表
export function listStructure(query) {
  return request({
    url: '/station/structure/list',
    method: 'get',
    params: query
  })
}

// 查询班结管理详细
export function getStructure(id) {
  return request({
    url: '/station/structure/' + id,
    method: 'get'
  })
}

// 新增班结管理
export function addStructure(data) {
  return request({
    url: '/station/structure',
    method: 'post',
    data: data
  })
}

// 修改班结管理
export function updateStructure(data) {
  return request({
    url: '/station/structure',
    method: 'put',
    data: data
  })
}

// 删除班结管理
export function delStructure(id) {
  return request({
    url: '/station/structure/' + id,
    method: 'delete'
  })
}

// 导出班结管理
export function exportStructure(query) {
  return request({
    url: '/station/structure/export',
    method: 'get',
    params: query
  })
}